
<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Security Bewertung</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.2/css/bootstrap.min.css" rel="stylesheet">


    <style>
      .question {
          font-weight: bold;
          font-size: 1.15rem; /* Größere Schriftgröße */
          margin-bottom: 0.75rem; /* Geringerer Abstand zum Antwortbereich */
      }

      .answers {
          background-color: #f8f9fa; /* Ein leicht grauer Hintergrund */
          border-radius: 0.25rem; /* Runde Ecken */
          padding: 0.75rem; /* Innenabstand für den Antwortbereich */
          box-shadow: 0 2px 4px rgba(0,0,0,0.05); /* Ein leichter Schatten für Tiefe */
      }

      #explain_1{
        font-size: 1.5rem; /* Größere Schriftgröße */
        margin-bottom: 0.75rem; /* Geringerer Abstand zum Antwortbereich */
      }

      #result_all{
        background-color: #f8f9fa; /* Ein leicht grauer Hintergrund */
        border-radius: 0.25rem; /* Runde Ecken */
        padding: 0.75rem; /* Innenabstand für den Antwortbereich */
        box-shadow: 0 2px 4px rgba(0,0,0,0.05); /* Ein leichter Schatten für Tiefe */
      }

      body {
            background-color: #FAFAFA; /* Oder eine der anderen vorgeschlagenen Farben */
        }

        .btn-primary,
        .btn-primary[disabled],
        .btn-primary:hover,
        .btn-primary:active,
        .btn-primary:visited,
        .btn-primary:focus {
            background-color: #afc24a;
            border-color: #afc24a;
        }
    </style>

</head>
<body>
<div class="container mt-5">

    <div class="mb-5">
      <h2>Cyber Maturity-Level</h2>
    </div>

    <div id="all_q" class="mb-5">
      <div id="part_1">
          <div class="mb-3">
              <label class="question">Sind Sie bereits vom derzeitigen IT-Sicherheitsgesetz betroffen?</label>
              <div class="answers">
                  <div class="form-check">
                      <input class="form-check-input" type="radio" name="question1" id="question1_1" value="25" onchange="checkAllQuestions()">
                      <label class="form-check-label" for="question1_1">Ja</label>
                  </div>
                  <div class="form-check">
                      <input class="form-check-input" type="radio" name="question1" id="question1_2" value="0" onchange="checkAllQuestions()">
                      <label class="form-check-label" for="question1_2">Nein</label>
                  </div>
              </div>
          </div>
      </div>

      <!--<hr>-->

      <div id="part_2">

        <div class="mb-3">
          <span id="explain_1">Beschäftig sich Ihr Unternehmen (für die gesamte IT Ihres Unternehmes) mit folgende Themen</span>
        </div>

        <div class="mb-3">
            <label  class="question">Ist ein ISMS implementiert?</label>
            <div class="answers">
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question2" id="question2_1" value="15" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question2_1">Ja</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question2" id="question2_2" value="0"  onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question2_2">Nein</label>
                </div>

                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question2" id="question2_3" value="5" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question2_3">Teilweise</label>
                </div>

            </div>
        </div>

        <div class="mb-3">
          <label class="question" >Ist Security (Cyber und Physical) Thema bei der Prüfung Ihrer Wirtschaftsprüfer?</label>
          <div class="answers">
              <div class="form-check">
                  <input class="form-check-input" type="radio" name="question3" id="question3_1" value="5" onchange="checkAllQuestions()">
                  <label class="form-check-label" for="question3_1">Ja</label>
              </div>
              <div class="form-check">
                  <input class="form-check-input" type="radio" name="question3" id="question3_2" value="0" onchange="checkAllQuestions()">
                  <label class="form-check-label" for="question3_2">Nein</label>
              </div>
              <div class="form-check">
                  <input class="form-check-input" type="radio" name="question3" id="question3_3" value="2" onchange="checkAllQuestions()">
                  <label class="form-check-label" for="question3_3">Teilweise</label>
              </div>
          </div>
        </div>

        <div class="mb-3">
            <label class="question">Ist Security (Cyber und Physical) Thema in regelmäßigen internen Audits?</label>
            <div class="answers">
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question4" id="question4_1" value="3" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question4_1">Ja</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question4" id="question4_2" value="0" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question4_2">Nein</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question4" id="question4_3" value="1" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question4_3">Teilweise</label>
                </div>
            </div>
        </div>

        <div class="mb-3">
          <label class="question">Ist ihr Unternehmen/legal Einheit ISO270xx zertifiziert?</label>
          <div class="answers">
              <div class="form-check">
                  <input class="form-check-input" type="radio" name="question5" id="question5_1" value="20" onchange="checkAllQuestions()">
                  <label class="form-check-label" for="question5_1">Ja</label>
              </div>
              <div class="form-check">
                  <input class="form-check-input" type="radio" name="question5" id="question5_2" value="0" onchange="checkAllQuestions()">
                  <label class="form-check-label" for="question5_2">Nein</label>
              </div>
              <div class="form-check">
                  <input class="form-check-input" type="radio" name="question5" id="question5_3" value="10" onchange="checkAllQuestions()">
                  <label class="form-check-label" for="question5_3">Teilweise</label>
              </div>
          </div>
        </div>

        <div class="mb-3">
            <label class="question">Haben Sie einen Sabotageschutzbeauftragen und ist Ihr Personal in sensiblen Positionen „sicherheitsüberprüft“</label>
            <div class="answers">
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question6" id="question6_1" value="2" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question6_1">Ja</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question6" id="question6_2" value="0" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question6_2">Nein</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question6" id="question6_3" value="1" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question6_3">Teilweise</label>
                </div>
            </div>
        </div>

        <div class="mb-3">
            <label class="question" >Erfüllen sie einen Branchenspezifischen Sicherheitsstandard mit entsprechenden Nachweisen (z.B. B3S oder TiSAX (Automobilindustrie), etc.)</label>
            <div class="answers">
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question7" id="question7_1" value="20" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question7_1">Ja</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question7" id="question7_2" value="0" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question7_2">Nein</label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="question7" id="question7_3" value="10" onchange="checkAllQuestions()">
                    <label class="form-check-label" for="question7_3">Teilweise</label>
                </div>
            </div>
        </div>

      </div>


      <div class="mb-3">
          <button id="submitButton" class="btn btn-primary" onclick="evaluateForm()" disabled>Auswerten erstellen</button>
      </div>

    </div>

    <div id="result_all" class="d-none mb-5">

      <div id="explain">
        <span><b>Ihr persönliches Ergebnis lautet:</b></span>
      </div>

      <div id="ampel" class="d-flex justify-content-center">

        <svg width="100" height="220" xmlns="http://www.w3.org/2000/svg">
            <rect x="10" y="10" width="80" height="200" rx="15" ry="15" fill="#333" />
            <circle cx="50" cy="50" r="25" fill="#ccc" id="redLight" />
            <circle cx="50" cy="110" r="25" fill="#ccc" id="yellowLight" />
            <circle cx="50" cy="170" r="25" fill="#ccc" id="greenLight" />
        </svg>

      </div>

      <div id="result_grue" class="d-none">
      </div>

      <div id="result_gelb" class="d-none">
      </div>

      <div id="result_rot" class="d-none">
      </div>
    </div>

</div>

<script>


function checkAllQuestions() {
    let allQuestions = ["question1", "question2", "question3", "question4", "question5", "question6", "question7"];
    let allAnswered = true;

    allQuestions.forEach(function(questionName) {
        let checkedRadio = document.querySelector(`input[name="${questionName}"]:checked`);
        if (!checkedRadio) {
            allAnswered = false;
        }
    });

    document.getElementById('submitButton').disabled = !allAnswered;
}


function setAmpelColor(color) {
    let redLight = document.getElementById('redLight');
    let yellowLight = document.getElementById('yellowLight');
    let greenLight = document.getElementById('greenLight');

    // Alle auf Grau setzen (ausgeschaltet)
    redLight.setAttribute('fill', '#ccc');
    yellowLight.setAttribute('fill', '#ccc');
    greenLight.setAttribute('fill', '#ccc');

    if (color === 'red') {
        redLight.setAttribute('fill', '#f00');
    } else if (color === 'yellow') {
        yellowLight.setAttribute('fill', '#ff0');
    } else if (color === 'green') {
        greenLight.setAttribute('fill', '#0f0');
    }
}


function evaluateForm() {
    let total = 0;

    // Question 1
    var q1Value = parseInt(document.querySelector('input[name="question1"]:checked').value);
    var q2Value = parseInt(document.querySelector('input[name="question2"]:checked').value);
    var q3Value = parseInt(document.querySelector('input[name="question3"]:checked').value);
    var q4Value = parseInt(document.querySelector('input[name="question4"]:checked').value);
    var q5Value = parseInt(document.querySelector('input[name="question5"]:checked').value);
    var q6Value = parseInt(document.querySelector('input[name="question6"]:checked').value);
    var q7Value = parseInt(document.querySelector('input[name="question7"]:checked').value);

    //Erste Sonderbedingungen
    if( q5Value == 20 || q7Value == 20 ){
      q2Value = 0;
    }

    total = q1Value + q2Value + q3Value + q4Value + q5Value + q6Value + q7Value;

    // Hide the questions
    document.getElementById('result_all').classList.remove('d-none');

    // Alle Ergebnis-Divs zuerst ausblenden
    document.getElementById('result_grue').classList.add('d-none');
    document.getElementById('result_gelb').classList.add('d-none');
    document.getElementById('result_rot').classList.add('d-none');

    document.getElementById('all_q').classList.add('d-none');

    // Show the result
    let ampelDiv = document.getElementById('ampel');
    if (total <= 20) {
        document.getElementById('result_rot').classList.remove('d-none');
        setAmpelColor('red');
    } else if (total > 20 && total <= 40) {
        document.getElementById('result_gelb').classList.remove('d-none');
        setAmpelColor('yellow');
    } else {
        document.getElementById('result_grue').classList.remove('d-none');
        setAmpelColor('green');
    }
}


</script>

</body>
</html>
